GoDoxy

Rule Playground

POST
/route/playground

Test rules against mock request/response

Request Body

application/json

Playground request

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/route/playground" \  -H "Content-Type: application/json" \  -d '{    "rules": "string"  }'
{
  "executionError": null,
  "finalRequest": {
    "body": "string",
    "headers": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "host": "string",
    "method": "string",
    "path": "string",
    "query": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    }
  },
  "finalResponse": {
    "body": "string",
    "headers": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "statusCode": 0
  },
  "matchedRules": [
    "string"
  ],
  "parsedRules": [
    {
      "do": "string",
      "name": "string",
      "on": "string",
      "validationError": null
    }
  ],
  "upstreamCalled": true
}